# File atom_type.hpp

↰ Parent directory (`cif++`)

## Definition (`cif++/atom_type.hpp`)

- Program Listing for File atom_type.hpp

## Detailed Description

This file contains information about all known elements

## Includes

- `array`

- `cif++/exports.hpp` (File exports.hpp)

- `cstdint`

- `limits`

- `stdexcept`

- `string`

## Included By

- File cif++.hpp

- File model.hpp

## Namespaces

- Namespace cif

## Classes

- Struct atom_type_info

- Struct atom_type_traits::SFData

- Class atom_type_traits

## Enums

- Enum atom_type

- Enum ionic_radius_type

- Enum radius_type

## Variables

- Variable cif::kKnownAtoms

- Variable cif::kNA

- Variable cif::kRadiusTypeCount